Bug 592131 - transmission-gtk-1.92-1.fc12 crashed in torrentVerify thread during shutdown
transmission-gtk-1.92-1.fc12 crashed in torrentVerify thread during shutdown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:7972da40cb3908ff35d11784cac...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-13 19:21 EDT by Valentine Ther
Modified: 2010-12-03 09:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:43:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (28.50 KB, text/plain)
2010-05-13 19:21 EDT, Valentine Ther
no flags Details

  None (edit)
Description Valentine Ther 2010-05-13 19:21:34 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: transmission
comment: I was downloading .torrent files and adding them to the queue as they downloaded, but to speed things up, I quit transmission, while another window asking me to add to queue a torrent, popped up, and when I tried to close it, it crashed, to close it I tried to use both the close button, and the little x button.
component: transmission
executable: /usr/bin/transmission
kernel: 2.6.32.11-99.fc12.x86_64
package: transmission-gtk-1.92-1.fc12
rating: 4
reason: Process /usr/bin/transmission was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 Valentine Ther 2010-05-13 19:21:37 EDT
Created attachment 413917 [details]
File: backtrace
Comment 2 Ankur Sinha (FranciscoD) 2010-05-13 23:32:25 EDT
(In reply to comment #0)
> abrt 1.0.8 detected a crash.
> 
> architecture: x86_64
> Attached file: backtrace
> cmdline: transmission
> comment: I was downloading .torrent files and adding them to the queue as they
> downloaded, but to speed things up, I quit transmission, while another window
> asking me to add to queue a torrent, popped up, and when I tried to close it,
> it crashed, to close it I tried to use both the close button, and the little x
> button.
> component: transmission
> executable: /usr/bin/transmission
> kernel: 2.6.32.11-99.fc12.x86_64
> package: transmission-gtk-1.92-1.fc12
> rating: 4
> reason: Process /usr/bin/transmission was killed by signal 11 (SIGSEGV)
> release: Fedora release 12 (Constantine)    

hey,

Can you please provide steps to reproduce this? It isn't very clear in your comment. Can you please mention them

1.
2. etc?

Thanks

Ankur
Comment 3 Valentine Ther 2010-05-14 00:21:38 EDT
1. Downloading torrent files using firefox, while transmission was running, it's set to add the torrents straight from my download folder
2. As soon as a file was downloaded, transmission would ask me to add it to the queue, which I did.
3. The website was not that responsive, so I closed transmission, but while it was closing, transmission asked me to add another torrent.
4. I tried to close that torrents window, and it crashed.

It's possible that I've downloaded the same torrent file several times. Also there was a thunderstorm, so package loss => file corruption was possible.

Other than this I have no other details, and I can't reproduce the conditions.
Comment 4 Charles Kerr 2010-05-14 07:56:03 EDT
> Thread 1 (Thread 628):
> #0  __pthread_mutex_lock (mutex=0xa) at pthread_mutex_lock.c:50
>         type = <value optimized out>
>         id = <value optimized out>
> #1  0x00000000004481dd in tr_lockLock (l=0x2) at platform.c:194

This is pretty clearly a null pointer dereference.
Comment 5 Bug Zapper 2010-11-03 10:55:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 09:43:45 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.